/*
* Copyright (C) 2003-2007 Funambol
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#pragma once


// CFullSync dialog
#include "OutlookPlugin.h"
#include "afxwin.h"
#include "CustomGroupbox.h"

class CFullSync : public CDialog
{
	DECLARE_DYNAMIC(CFullSync)

public:
	CFullSync(CWnd* pParent = NULL);   // standard constructor
	virtual ~CFullSync();
    virtual BOOL OnInitDialog();

// Dialog Data
	enum { IDD = IDD_FULLSYNC };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
    //CFont fontBold;
    CComboBox lstSyncType;
    CButton checkContacts;
    CButton checkCalendar;
    CButton checkTasks;
    CButton checkNotes;
    
    afx_msg void OnBnClickedOk();
    afx_msg void OnBnClickedCancel();
    afx_msg void OnBnClickedFullsyncCheckContacts();
    afx_msg void OnBnClickedFullsyncCheckCalendar();
    afx_msg void OnBnClickedFullsyncCheckTasks();
    afx_msg void OnBnClickedFullsyncCheckNotes();
public:
    CButton radio1;
    CButton radio2;
    CButton radio3;
public:
    CCustomGroupbox groupDirection;
public:
    CCustomGroupbox groupItems;
public:
    afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
};
