/*
* Copyright (C) 2003-2007 Funambol
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#if !defined(AFX_Splitter_H__61D2F7E7_7AAA_11D1_9F4C_008029E98A75__INCLUDED_)
#define AFX_Splitter_H__61D2F7E7_7AAA_11D1_9F4C_008029E98A75__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif 


class CSplitter : public CSplitterWnd
{
// Construction
public:
	CSplitter();

private:
    BOOL m_bBarLocked;
    

public:
    BOOL bSplitterVisible;
    BOOL IsBarLocked(){return m_bBarLocked;}
    void LockBar(BOOL bState=TRUE){m_bBarLocked=bState;}
    BOOL ReplaceView(int row, int col,CRuntimeClass * pViewClass,SIZE size);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSplitter)
	//}}AFX_VIRTUAL

public:
	virtual ~CSplitter();

protected:
	//{{AFX_MSG(CSplitter)
   afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
   afx_msg void OnMouseMove(UINT nFlags, CPoint point);
   afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnPaint();

    virtual void OnDrawSplitter( CDC* pDC, ESplitType nType,  const CRect& rect );

	//}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_Splitter_H__61D2F7E7_7AAA_11D1_9F4C_008029E98A75__INCLUDED_)
